<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.ctop.finance.agent.mapper.CtopAccountTransactionDetailsMapper">
   <!-- 批量插入新增数据-->
    <insert id="saveAccountTransactionDetails">
        insert  into ctop_account_transaction_details (advertiser_id,transaction_type,data_time,amount,cash,grant_amount,return_goods,transaction_seq,
        remitter,payee,dealbase,create_time) values
        <foreach collection="list" item="item" index="index" separator=",">
            (
            #{item.advertiser_id},
            #{item.transaction_type},
            #{item.create_time},
            #{item.amount},
            #{item.cash},
            #{item.grant},
            #{item.return_goods},
            #{item.transaction_seq},
            #{item.remitter},
            #{item.payee},
            #{item.dealbase},
            #{date}
            )
        </foreach>
    </insert>

    <select id="getTransactionSeq" parameterType="String" resultType="String">
        select t.transaction_seq from ctop_account_transaction_details t
    </select>

</mapper>